#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		_pkgdocdir	%{_defaultdocdir}/%{name}-%{version}
#-----------------------------------------------------------------------------
Name		:	luckybackup
Version		:	0.5.0
Release		:	16.2.0.rel%{?dist}
Summary		:	A powerful, fast and reliable backup and sync tool
 
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://luckybackup.sourceforge.net/index.html

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gcc
BuildRequires	:	glibc
BuildRequires	:	qt

Requires	:	polkit
Requires	:	rsync
#-----------------------------------------------------------------------------
%description
'%{name}' is an application that backs-up and/or synchronizes any 
directories with the power of rsync.
 
It is simple to use, fast (transfers over only changes made and not all data), 
safe (keeps your data safe by checking all declared directories before 
proceeding in any data manipulation ), reliable and fully customizable.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc readme/README readme/changelog
%license license/gpl.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-pkexec
%{_defaultdocdir}/%{name}-%{version}/license/gpl.*
%{_defaultdocdir}/%{name}-%{version}/manual/data/*.png
%{_defaultdocdir}/%{name}-%{version}/manual/images/favicon.ico
%{_defaultdocdir}/%{name}-%{version}/manual/index.html
%{_defaultdocdir}/%{name}-%{version}/manual/styles.css
%{_defaultdocdir}/%{name}-%{version}/manual/images/*.png
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/%{name}/translations/%{name}_*
%{_datadir}/pixmaps/%{name}.{png,xpm}
%{_datadir}/polkit-1/actions/net.%{name}.su.policy
%{_mandir}/man8/%{name}.8.gz
%{_mandir}/man8/%{name}-pkexec.8.gz

#=============================================================================
%prep
%setup -q
sed -i 							\
  -e 's,/usr/share/doc/luckybackup,%{_pkgdocdir},'	\
  luckybackup.pro

#-----------------------------------------------------------------------------
#building application
%build

qmake

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-su.desktop

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

INSTALL_ROOT=%{buildroot}				\
%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
